io.vertx.core.cli

## Class AmbiguousOptionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.cli.CLIException
        - - io.vertx.core.cli.AmbiguousOptionException

- All Implemented Interfaces:
    Serializable

      public class AmbiguousOptionException
      extends CLIException

  Exception thrown when the command line is ambiguous meaning it cannot determine exactly which option has to be set.
  Author:
    Clement Escoffier
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmbiguousOptionException(String token, List<Option> matchingOpts)` Creates a new instance of `AmbiguousOptionException`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Option>` | `getOptions()`
    `String` | `getToken()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AmbiguousOptionException

          public AmbiguousOptionException(String token,
                                          List<Option> matchingOpts)

      Creates a new instance of `AmbiguousOptionException`.
      Parameters:
        `token` - the ambiguous token
        `matchingOpts` - the list of potential matches

  - ### Method Detail

    - #### getOptions

          public List<Option> getOptions()

      Returns:
        the list of potential matches.

    - #### getToken

          public String getToken()

      Returns:
        the token triggering the ambiguity.

Copyright © 2016. All rights reserved.